Package com.gpudb.protocol
Class ExecuteProcRequest.Options
java.lang.Object
com.gpudb.protocol.ExecuteProcRequest.Options
Enclosing class:
A set of string constants for the
ExecuteProcRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringNo longer supported; option will be ignored.static final StringIfTRUE, an instance of the proc will run when the database is started instead of running immediately.static final StringSets the alternate user name to execute this proc instance as whenEXECUTE_AT_STARTUPisTRUE.static final Stringstatic final StringThe maximum number of lines of output from stdout and stderr to return viaGPUdb.showProcStatus.static final StringA string that, if not empty, can be used in subsequent calls toGPUdb.showProcStatusorGPUdb.killProcto identify the proc instance.static final Stringstatic final StringNo longer supported; option will be ignored.
Field Details
RUN_TAG
A string that, if not empty, can be used in subsequent calls toGPUdb.showProcStatusorGPUdb.killProcto identify the proc instance. The default value is ”.See Also:MAX_OUTPUT_LINES
The maximum number of lines of output from stdout and stderr to return viaGPUdb.showProcStatus. If the number of lines output exceeds the maximum, earlier lines are discarded. The default value is ‘100’.See Also:EXECUTE_AT_STARTUP
IfTRUE, an instance of the proc will run when the database is started instead of running immediately. TherunIdcan be retrieved usingGPUdb.showProcand used inGPUdb.showProcStatus. Supported values:The default value isFALSE.See Also:EXECUTE_AT_STARTUP_AS
Sets the alternate user name to execute this proc instance as whenEXECUTE_AT_STARTUPisTRUE. The default value is ”.See Also: